Create Publication
curl --request POST \
--url https://api.mokaru.ai/v1/publications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"publisher": "<string>",
"date": "<string>",
"url": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.mokaru.ai/v1/publications"
payload = {
"name": "<string>",
"publisher": "<string>",
"date": "<string>",
"url": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
publisher: '<string>',
date: '<string>',
url: '<string>',
description: '<string>'
})
};
fetch('https://api.mokaru.ai/v1/publications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Publications
Create Publication
Add a new publication to your career profile
POST
/
v1
/
publications
Create Publication
Overview
Add a new publication to the authenticated user’s base resume.Scope required:
publications:write | Rate limit: 20 requests/minRequest
POST /v1/publications
Content-Type: application/json
Body Parameters
string
required
Publication title (max 300 characters)
string
Publisher name (max 200 characters)
string
ISO 8601 publication date
string
URL to the publication (max 500 characters)
string
Free-text description
Query Parameters
string
Target a specific resume by its id (from
list-resumes). Omit to use your base/default resume; the resume must be self-contained.Response
{
"success": true,
"id": "clx..."
}
Was this page helpful?
⌘I
